$(function() {
	// 任务池经过显示信息
	$(".sliding_b_r").each(function(i, it) {
		$(".renwu" + i).hover(function(e) {
			var left = $(this).offset().left;
			var top = $(this).offset().top + $(this).height();
			$("#sliOpen" + i).css({
				"display" : "block",
				"left" : left,
				"top" : top
			});
			e.stopPropagation();
		}, function() {
			$("#sliOpen" + i).hide();
		});
	});
	$("#stype").val("1");//默认为被保险人身份证号查询
});

function initInsure(){
	$("#stype").val("1");//默认为被保险人身份证号查询
}
function insureSelectChange(val){
	$("#paper").val("");
	$("#content").val("");
	var estimate= true;
	if(val=="2"){
		divCustomInfo.style.display="block";//选怪姓+名+性别+出生日期
		divCusInfo.style.display="none";
		estimate = false;
		$("#content").hide();//隐藏上面的输入框
	}else{
		$("#content").val("");
		$("#content").show();
		divCustomInfo.style.display="none";
		divCusInfo.style.display="none";
	}
	if(val=="1"&&estimate){
		divCustomInfo.style.display="none";
		divCusInfo.style.display="block";//选怪姓+名+性别+出生日期
		$("#content").hide();//隐藏上面的输入框
	}
	
	$("#stype").val(val);//默认为被保险人身份证号查询?
}
function sexSelectChange(val){
	$("#sex").val(val);//性别
}

function getCityBypro(){ 
		if ($("#stype").val() == '1') {
		if ($("#certificates").val() == "") {
			alert("请选择证件类型");
			return false;
		}
	}
/*	if($("#stype").val()=='1'){
		if($("#paper").val().length!=15 && $("#paper").val().length!=18||$("#paper").val()==""){
			alert("身份证长度必须为15位或18位");
			return false;
		}
	}*/
		if ($("#stype").val() == '1') {
	if($("#certificates").val()=='a'){
		if($("#paper").val().length!=15 && $("#paper").val().length!=18){
			alert("身份证长度必须为15位或18位");
			return false;
		}
	}else {
		if($("#paper").val()==""){
			alert("被保人证件号不能为空");
			return false;
		}
	}
		}
	if($("#stype").val()=='3'){
		if($("#content").val().length!=15){
			alert("保单号长度必须为15位");
			return false;
		}
	}
	if($("#stype").val()=='2'){
//		if($("#sername").val()==null || $("#sername").val()==""){
//			alert("姓不能为空");
//			return false;
//		}
		if($("#name").val()==null || $("#name").val()==""){
			alert("名不能为空");
			return false;
		}
		if($("#sex").val()==null || $("#sex").val()==""){
			alert("性别不能为空");
			return false;
		}
		if($("#birthday").val()==null || $("#birthday").val()==""){
			alert("生日不能为空");
			return false;
		}
	}
	
	$("#insureData").html("");
	showLoading();//加载进度条
    $.ajax({  
        type: "POST",  
        async: false, 
        url: "queryInsurce.do",  
        data: {stype:$("#stype").val(),content:$("#content").val(),sername:$("#sername").val(),name:$("#name").val(),sex:$("#sex").val(),birthday:$("#birthday").val(),fuzhao:$("#fuzhao").val(),jungz:$("#jungz").val(),gangaoz:$("#gangaoz").val(),taiwz:$("#taiwz").val(),paper:$("#paper").val(),certificates:$("#certificates").val()},  
        success: function(data){  
        	closeLoading();//去掉进度条
        	if(data.errorMsg!=null && data.errorMsg!=""){
        		$("#insureData").append("<tr><td>查询不到相关内容，请检查查询条件</td></tr>");
        	}else if(data.insureList==0 || data.insureList==0){
        		$("#insureData").append("<tr><td>查询不到相关内容，请检查查询条件</td></tr>");
        	}else{
        		var items = data.insureList;  
                
                $.each(items, function(i, n){
                 	$("#insureData").append("<tr  ondblclick=\"dbclickForword('"+items[i].pid+"','"+items[i].name+"',this)\"><td width=\"23%\">"+items[i].name+"</td><td width=\"45%\">"+items[i].pid+"</td><td width=\"21%\">"+items[i].sexName+"</td></tr>");
                });  
        	}
            
        }  
    });   
} 

function clmquery() {
	var claimNo=$("#claimNo").val().trim();
	if(claimNo==null || claimNo=="") {
		alert("查询内容不能为空，并且为赔案号！");
		return false;
	}

	
	var  reg=/^[\u4E00-\u9FA5\a-zA-X0-9_\0-9]+$/;
	var error=reg.test(claimNo);
	if(!error){
		alert("赔案号+身份证号格+名字式错误");
		return;
	}
	document.getElementById('clmquery').submit();
	
}

function checkInsure(){
	//姓名+性别+出生日期查询类型为2，如果不为2时需要校验查询内容content
	if($("#stype").val()=="3"){ 
		if($("#content").val()==null || $("#content").val()==""){
			alert("查询内容不能为空！");
			return false;
		}
	}
	getCityBypro();
	
	
}

function dbclickForword(pid,pname,value){
	$("#pid").val(pid);
	var name=pname.replace(/[ ]/g,"");
	$("#pname").val(name);
	showLoading();//加载进度条
	//$(value).unbind("ondblclick"); //移除ondblclick
	document.getElementById('formId2').submit();
	//closeLoading();//去掉进度条
}
function querySort(para){
	SkipByPost("query.do",{para:para});
}
function bashowdiv(){
	$("#isBpo").val("N");
	showDiv('open2');
	/*$("#content").hide();//隐藏上面的输入框
*/}
$(function () {
	$("#content").hide();//隐藏上面的输入框
});
function certificate(val){
	$("#paper").val("");
	$("#certificates").val(val);
}